package com.mortals.xhx.module.job.dao.ibatis;


import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import com.mortals.xhx.module.job.dao.JobDao;
import com.mortals.xhx.module.job.model.JobEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
* 职位信息DaoImpl DAO接口
*
* @author zxfei
* @date 2023-04-07
*/
@Repository("jobDao")
public class JobDaoImpl extends BaseCRUDDaoMybatis<JobEntity,Long> implements JobDao {


    @Override
    public List<JobEntity> queryGroupName() {
        return getSqlSession().selectList(getSqlId("queryGroupName"));
    }

    @Override
    public List<JobEntity> queryPositionName() {
        return getSqlSession().selectList(getSqlId("queryPositionName"));
    }
}
